### Constructor

# Phosh Lockshield new

#### Declaration [src]

    GtkWidget*
    phosh_lockshield_new (
      zwlr_layer_shell_v1* layer_shell,
      PhoshMonitor* monitor
    )

#### Description

No description available.

#### Parameters

`layer_shell`

  Type: `zwlr_layer_shell_v1*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`monitor`

  Type: `PhoshMonitor`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.